BooleanClause.Occur (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.BooleanClause.Occur class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.search
Enum BooleanClause.Occur

    java.lang.Object
      java.lang.Enum<BooleanClause.Occur>
          org.apache.lucene.search.BooleanClause.Occur

All Implemented Interfaces:
  Serializable, Comparable<BooleanClause.Occur>

Enclosing class:
  BooleanClause

    public static enum BooleanClause.Occur

extends Enum<BooleanClause.Occur>

Specifies how clauses are to occur in matching documents.

Enum Constant Summary
`MUST` Use this operator for clauses that must appear in the matching documents.
`MUST_NOT` Use this operator for clauses that must not appear in the matching documents.
`SHOULD` Use this operator for clauses that should appear in the matching documents.

Method Summary
`static BooleanClause.Occur` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BooleanClause.Occur[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MUST

    public static final BooleanClause.Occur MUST

  Use this operator for clauses that must appear in the matching documents.

### SHOULD

    public static final BooleanClause.Occur SHOULD

  Use this operator for clauses that should appear in the matching documents. For a BooleanQuery with no `MUST` clauses one or more `SHOULD` clauses must match a document for the BooleanQuery to match.

  See Also:
    `BooleanQuery.setMinimumNumberShouldMatch(int)`

### MUST_NOT

    public static final BooleanClause.Occur MUST_NOT

  Use this operator for clauses that must not appear in the matching documents. Note that it is not possible to search for queries that only consist of a `MUST_NOT` clause.

Method Detail

### values

    public static final BooleanClause.Occur[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BooleanClause.Occur c : BooleanClause.Occur.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BooleanClause.Occur valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD